org.jboss.shrinkwrap.descriptor.api.javaee7

## Interface JmsConnectionFactoryType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface JmsConnectionFactoryType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `jms-connection-factoryType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JmsConnectionFactoryType<T>` | `className(java.lang.String className)` Sets the `class-name` element
    `JmsConnectionFactoryType<T>` | `clientId(java.lang.String clientId)` Sets the `client-id` element
    `PropertyType<JmsConnectionFactoryType<T>>` | `createProperty()` Creates a new `property` element
    `JmsConnectionFactoryType<T>` | `description(java.lang.String description)` Sets the `description` element
    `java.util.List<PropertyType<JmsConnectionFactoryType<T>>>` | `getAllProperty()` Returns all `property` elements
    `java.lang.String` | `getClassName()` Returns the `class-name` element
    `java.lang.String` | `getClientId()` Returns the `client-id` element
    `java.lang.String` | `getDescription()` Returns the `description` element
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.Integer` | `getMaxPoolSize()` Returns the `max-pool-size` element
    `java.lang.Integer` | `getMinPoolSize()` Returns the `min-pool-size` element
    `java.lang.String` | `getName()` Returns the `name` element
    `PropertyType<JmsConnectionFactoryType<T>>` | `getOrCreateProperty()` If not already created, a new `property` element will be created and returned.
    `java.lang.String` | `getPassword()` Returns the `password` element
    `java.lang.String` | `getResourceAdapter()` Returns the `resource-adapter` element
    `java.lang.String` | `getUser()` Returns the `user` element
    `JmsConnectionFactoryType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `java.lang.Boolean` | `isTransactional()` Returns the `transactional` element
    `JmsConnectionFactoryType<T>` | `maxPoolSize(java.lang.Integer maxPoolSize)` Sets the `max-pool-size` element
    `JmsConnectionFactoryType<T>` | `minPoolSize(java.lang.Integer minPoolSize)` Sets the `min-pool-size` element
    `JmsConnectionFactoryType<T>` | `name(java.lang.String name)` Sets the `name` element
    `JmsConnectionFactoryType<T>` | `password(java.lang.String password)` Sets the `password` element
    `JmsConnectionFactoryType<T>` | `removeAllProperty()` Removes all `property` elements
    `JmsConnectionFactoryType<T>` | `removeClassName()` Removes the `class-name` element
    `JmsConnectionFactoryType<T>` | `removeClientId()` Removes the `client-id` element
    `JmsConnectionFactoryType<T>` | `removeDescription()` Removes the `description` element
    `JmsConnectionFactoryType<T>` | `removeId()` Removes the `id` attribute
    `JmsConnectionFactoryType<T>` | `removeMaxPoolSize()` Removes the `max-pool-size` element
    `JmsConnectionFactoryType<T>` | `removeMinPoolSize()` Removes the `min-pool-size` element
    `JmsConnectionFactoryType<T>` | `removeName()` Removes the `name` element
    `JmsConnectionFactoryType<T>` | `removePassword()` Removes the `password` element
    `JmsConnectionFactoryType<T>` | `removeResourceAdapter()` Removes the `resource-adapter` element
    `JmsConnectionFactoryType<T>` | `removeTransactional()` Removes the `transactional` element
    `JmsConnectionFactoryType<T>` | `removeUser()` Removes the `user` element
    `JmsConnectionFactoryType<T>` | `resourceAdapter(java.lang.String resourceAdapter)` Sets the `resource-adapter` element
    `JmsConnectionFactoryType<T>` | `transactional(java.lang.Boolean transactional)` Sets the `transactional` element
    `JmsConnectionFactoryType<T>` | `user(java.lang.String user)` Sets the `user` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### description

          JmsConnectionFactoryType<T> description(java.lang.String description)

      Sets the `description` element
      Parameters:
        `description` - the value for the element `description`
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### getDescription

          java.lang.String getDescription()

      Returns the `description` element
      Returns:
        the node defined for the element `description`

    - #### removeDescription

          JmsConnectionFactoryType<T> removeDescription()

      Removes the `description` element
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### name

          JmsConnectionFactoryType<T> name(java.lang.String name)

      Sets the `name` element
      Parameters:
        `name` - the value for the element `name`
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### getName

          java.lang.String getName()

      Returns the `name` element
      Returns:
        the node defined for the element `name`

    - #### removeName

          JmsConnectionFactoryType<T> removeName()

      Removes the `name` element
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### className

          JmsConnectionFactoryType<T> className(java.lang.String className)

      Sets the `class-name` element
      Parameters:
        `className` - the value for the element `class-name`
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### getClassName

          java.lang.String getClassName()

      Returns the `class-name` element
      Returns:
        the node defined for the element `class-name`

    - #### removeClassName

          JmsConnectionFactoryType<T> removeClassName()

      Removes the `class-name` element
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### resourceAdapter

          JmsConnectionFactoryType<T> resourceAdapter(java.lang.String resourceAdapter)

      Sets the `resource-adapter` element
      Parameters:
        `resourceAdapter` - the value for the element `resource-adapter`
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### getResourceAdapter

          java.lang.String getResourceAdapter()

      Returns the `resource-adapter` element
      Returns:
        the node defined for the element `resource-adapter`

    - #### removeResourceAdapter

          JmsConnectionFactoryType<T> removeResourceAdapter()

      Removes the `resource-adapter` element
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### user

          JmsConnectionFactoryType<T> user(java.lang.String user)

      Sets the `user` element
      Parameters:
        `user` - the value for the element `user`
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### getUser

          java.lang.String getUser()

      Returns the `user` element
      Returns:
        the node defined for the element `user`

    - #### removeUser

          JmsConnectionFactoryType<T> removeUser()

      Removes the `user` element
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### password

          JmsConnectionFactoryType<T> password(java.lang.String password)

      Sets the `password` element
      Parameters:
        `password` - the value for the element `password`
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### getPassword

          java.lang.String getPassword()

      Returns the `password` element
      Returns:
        the node defined for the element `password`

    - #### removePassword

          JmsConnectionFactoryType<T> removePassword()

      Removes the `password` element
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### clientId

          JmsConnectionFactoryType<T> clientId(java.lang.String clientId)

      Sets the `client-id` element
      Parameters:
        `clientId` - the value for the element `client-id`
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### getClientId

          java.lang.String getClientId()

      Returns the `client-id` element
      Returns:
        the node defined for the element `client-id`

    - #### removeClientId

          JmsConnectionFactoryType<T> removeClientId()

      Removes the `client-id` element
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### getOrCreateProperty

          PropertyType<JmsConnectionFactoryType<T>> getOrCreateProperty()

      If not already created, a new `property` element will be created and returned. Otherwise, the first existing `property` element will be returned.
      Returns:
        the instance defined for the element `property`

    - #### createProperty

          PropertyType<JmsConnectionFactoryType<T>> createProperty()

      Creates a new `property` element
      Returns:
        the new created instance of `PropertyType>`

    - #### getAllProperty

          java.util.List<PropertyType<JmsConnectionFactoryType<T>>> getAllProperty()

      Returns all `property` elements
      Returns:
        list of `property`

    - #### removeAllProperty

          JmsConnectionFactoryType<T> removeAllProperty()

      Removes all `property` elements
      Returns:
        the current instance of `PropertyType>`

    - #### transactional

          JmsConnectionFactoryType<T> transactional(java.lang.Boolean transactional)

      Sets the `transactional` element
      Parameters:
        `transactional` - the value for the element `transactional`
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### isTransactional

          java.lang.Boolean isTransactional()

      Returns the `transactional` element
      Returns:
        the node defined for the element `transactional`

    - #### removeTransactional

          JmsConnectionFactoryType<T> removeTransactional()

      Removes the `transactional` element
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### maxPoolSize

          JmsConnectionFactoryType<T> maxPoolSize(java.lang.Integer maxPoolSize)

      Sets the `max-pool-size` element
      Parameters:
        `maxPoolSize` - the value for the element `max-pool-size`
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### getMaxPoolSize

          java.lang.Integer getMaxPoolSize()

      Returns the `max-pool-size` element
      Returns:
        the node defined for the element `max-pool-size`

    - #### removeMaxPoolSize

          JmsConnectionFactoryType<T> removeMaxPoolSize()

      Removes the `max-pool-size` element
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### minPoolSize

          JmsConnectionFactoryType<T> minPoolSize(java.lang.Integer minPoolSize)

      Sets the `min-pool-size` element
      Parameters:
        `minPoolSize` - the value for the element `min-pool-size`
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### getMinPoolSize

          java.lang.Integer getMinPoolSize()

      Returns the `min-pool-size` element
      Returns:
        the node defined for the element `min-pool-size`

    - #### removeMinPoolSize

          JmsConnectionFactoryType<T> removeMinPoolSize()

      Removes the `min-pool-size` element
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### id

          JmsConnectionFactoryType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `JmsConnectionFactoryType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          JmsConnectionFactoryType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `JmsConnectionFactoryType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)